unit oScriptTypes;

interface

uses
  SysUtils,
  Windows,
  Messages,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs;

type
  TScriptType = (stQuery, stInsert, stUpdate, stDelete, stDeleteAll, stStoredProcedure);
  TScriptAttribute = (saName, saType);
  TScriptValue = (svComment, svFMFile, svFMRoot, svMExecute, svMWhere, svSQLView, svSQLWhere, svFMIndex, svCached);
  TFMFieldType = (ftDateTime, ftNumeric, ftSetOfCodes, ftFreeText, ftWP, ftComputed, ftPointer, ftVPointer, ftMumps);
  TFMFieldFormat = (ffInternal, ffExternal);

const
  SCRIPT_ATTRIBUTE: array[TScriptAttribute] of string = ('NAME', 'TYPE');
  SCRIPT_VALUE: array[TScriptValue] of string = ('COMMENT', 'FM_FILE', 'FM_ROOT', 'M_EXECUTE', 'M_WHERE', 'SQL_VIEW', 'SQL_WHERE','FM_INDEX', 'CACHED');

  SCRIPT_TYPE: array[TScriptType] of string = ('QUERY', 'INSERT', 'UPDATE', 'DELETE', 'DELALL', 'STPROC');
  SCRIPT_TYPE_NAME: array[TScriptType] of string = ('Query', 'Insert', 'Update', 'Delete', 'Delete All', 'Stored Procedure');
  FIELD_TYPE: array[TFMFieldType] of string = ('DATE/TIME', 'NUMERIC', 'SET', 'FREE TEXT', 'WORD-PROCESSING', 'COMPUTED', 'POINTER', 'VARIABLE-POINTER', 'MUMPS');
  FIELD_TYPE_NAME: array[TFMFieldType] of string = ('Date/Time', 'Numeric', 'Set Of Codes', 'Free Text', 'Word-Processing', 'Computed', 'Pointer', 'Variable-Pointer', 'Mumps');

implementation

end.

